# Uses of Interface
org.eclipse.birt.chart.model.attribute.CallBackValue

Packages that use CallBackValue
Package
Description
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of CallBackValue in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type CallBackValue
Modifier and Type
Method
Description
`void`
ICallBackNotifier.`callback(Object event, Object source, CallBackValue value)`
Invokes the callBack.

## Uses of CallBackValue in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return CallBackValue
Modifier and Type
Method
Description
`CallBackValue`
CallBackValue.`copyInstance()`
`CallBackValue`
AttributeFactory.`createCallBackValue()`
Returns a new object of class 'Call Back Value'.

## Uses of CallBackValue in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement CallBackValue
Modifier and Type
Class
Description
`class`
`CallBackValueImpl`
An implementation of the model object 'Call Back Value'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return CallBackValue
Modifier and Type
Method
Description
`CallBackValue`
CallBackValueImpl.`copyInstance()`
A convenient method to get an instance copy.
`static CallBackValue`
CallBackValueImpl.`create(String callBackIdentifier)`
`CallBackValue`
AttributeFactoryImpl.`createCallBackValue()`